<?php

namespace CreoCode\ContaoColumns\ContaoManager;

use Contao\CoreBundle\ContaoCoreBundle;
use Contao\ManagerPlugin\Bundle\BundlePluginInterface;
use Contao\ManagerPlugin\Bundle\Config\BundleConfig;
use Contao\ManagerPlugin\Bundle\Parser\ParserInterface;
use CreoCode\ContaoColumns\CreoCodeContaoColumns;

class Plugin implements BundlePluginInterface
{
    /**
     * {@inheritdoc}
     */
    public function getBundles(ParserInterface $parser)
    {
        return [
            BundleConfig::create(CreoCodeContaoColumns::class)
                ->setReplace(['contao-columns'])
                ->setLoadAfter([ContaoCoreBundle::class]),
        ];
    }
}
