<?php

use Contao\Input;
use Contao\System;

// get id of the current page
$elementId = Input::get('id');
$objRootPage = \CreoCode\ContaoColumns\Helper\Helper::getRootPageByContentId($elementId);

if($objRootPage) {
    $container = System::getContainer();
    if($container->hasParameter('creo_code_contao_columns')) {
        $columnSettings = $container->getParameter('creo_code_contao_columns');
        $breakpointsConfig = $columnSettings[$objRootPage->column_breakpoints];
    }
}

/**
 * Fields
 */
$GLOBALS['TL_LANG']['tl_content']['column_name'] = array('Spaltenset Name', 'Darüber werden die Teile des Spaltensets einander zugeordnet.');
$GLOBALS['TL_LANG']['tl_content']['column_color'] = array('Backend-Farbe', 'Sie können eine Signalfarbe wählen, mit der alle Elemente dieses Spaltensets in der Backendansicht farblich gekennzeichnet werden.');
$GLOBALS['TL_LANG']['tl_content']['column_parent'] = array('Elternelement', '');
$GLOBALS['TL_LANG']['tl_content']['column_childs'] = array('Kindelemente', '');
$GLOBALS['TL_LANG']['tl_content']['column_sortid'] = array('Sortierung im Spaltenset', '');

$GLOBALS['TL_LANG']['tl_content']['column_usecustomgap'] = array('Eigenen Spaltenabstand nutzen', 'Eigenen Abstand zwischen den Spalten definieren');
$GLOBALS['TL_LANG']['tl_content']['column_gap'] = array('Spaltenabstand', 'Oben, Rechts, Unten und Links');
$GLOBALS['TL_LANG']['tl_content']['column_containermarginvertical'] = array('Container vertikal ausgleichen', 'Falls aktiv wird der Container im Vertikalen ausgeglichen');
$GLOBALS['TL_LANG']['tl_content']['column_containermarginhorizontal'] = array('Container horizontal ausgleichen', 'Falls aktiv wird der Container im Horizontalen ausgeglichen');

$GLOBALS['TL_LANG']['tl_content']['column_justify'] = array('Horizontale Ausrichtung', 'Definieren Sie wie sich die Spalten im Horizontalen verhalten sollen');
$GLOBALS['TL_LANG']['tl_content']['column_align'] = array('Vertikale Ausrichtung', 'Definieren Sie wie sich die Spalten im Vertikalen verhalten sollen');

$GLOBALS['TL_LANG']['tl_content']['column_amount'] = array('Spaltenanzahl', 'Bitte wählen Sie wie viele Spalten Sie haben möchten.');
$GLOBALS['TL_LANG']['tl_content']['column_sizes'] = array('Breakpoints', 'Bitte wählen Sie aus ab welchen Breakpoints sie Einstellungen vornehmen möchten.');

$GLOBALS['TL_LANG']['tl_content']['column_sizes']['xs'] = '<img class="device-img" src="bundles/creocodecontaocolumns/be/icons/devices-xs.svg"><span class="device-label"><span class="bold">Smartphones (Portrait)</span><br>XS ('.($breakpointsConfig['breakpoints']['xs'] ?? '-').')</span>';
$GLOBALS['TL_LANG']['tl_content']['column_sizes']['sm'] = '<img class="device-img" src="bundles/creocodecontaocolumns/be/icons/devices-sm.svg"><span class="device-label"><span class="bold">Kleine Tablets, Smartphones (Querformat)</span><br>SM ('.($breakpointsConfig['breakpoints']['sm'] ?? '-').')</span>';
$GLOBALS['TL_LANG']['tl_content']['column_sizes']['md'] = '<img class="device-img" src="bundles/creocodecontaocolumns/be/icons/devices-md.svg"><span class="device-label"><span class="bold">Tablets (Querformat)</span><br>MD ('.($breakpointsConfig['breakpoints']['md'] ?? '-').')</span>';
$GLOBALS['TL_LANG']['tl_content']['column_sizes']['lg'] = '<img class="device-img" src="bundles/creocodecontaocolumns/be/icons/devices-lg.svg"><span class="device-label"><span class="bold">Laptops, Desktops</span><br>LG ('.($breakpointsConfig['breakpoints']['lg'] ?? '-').')</span>';
$GLOBALS['TL_LANG']['tl_content']['column_sizes']['xl'] = '<img class="device-img" src="bundles/creocodecontaocolumns/be/icons/devices-xl.svg"><span class="device-label"><span class="bold">Desktops</span><br>XL ('.($breakpointsConfig['breakpoints']['xl'] ?? '-').')</span>';

$GLOBALS['TL_LANG']['tl_content']['columns_xs'] = array('<img class="device-img" src="bundles/creocodecontaocolumns/be/icons/devices-xs.svg"><span class="device-label"><span class="bold">Smartphones (Portrait)</span></span>', 'XS ('.($breakpointsConfig['breakpoints']['xs'] ?? '-').')');
$GLOBALS['TL_LANG']['tl_content']['columns_sm'] = array('<img class="device-img" src="bundles/creocodecontaocolumns/be/icons/devices-sm.svg"><span class="device-label"><span class="bold">Kleine Tablets, Smartphones (Querformat)</span></span>', 'SM ('.($breakpointsConfig['breakpoints']['sm'] ?? '-').')');
$GLOBALS['TL_LANG']['tl_content']['columns_md'] = array('<img class="device-img" src="bundles/creocodecontaocolumns/be/icons/devices-md.svg"><span class="device-label"><span class="bold">Tablets (Querformat)</span></span>', 'MD ('.($breakpointsConfig['breakpoints']['md'] ?? '-').')');
$GLOBALS['TL_LANG']['tl_content']['columns_lg'] = array('<img class="device-img" src="bundles/creocodecontaocolumns/be/icons/devices-lg.svg"><span class="device-label"><span class="bold">Laptops, Desktops</span></span>', 'LG ('.($breakpointsConfig['breakpoints']['lg'] ?? '-').')');
$GLOBALS['TL_LANG']['tl_content']['columns_xl'] = array('<img class="device-img" src="bundles/creocodecontaocolumns/be/icons/devices-xl.svg"><span class="device-label"><span class="bold">Desktops</span></span>', 'XL ('.($breakpointsConfig['breakpoints']['xl'] ?? '-').')');

$GLOBALS['TL_LANG']['tl_content']['column_amount']['width'] = 'Breite';
$GLOBALS['TL_LANG']['tl_content']['column_amount']['offset'] = 'Abstand';
$GLOBALS['TL_LANG']['tl_content']['column_amount']['align'] = 'Ausrichtung (Vertikal)';
$GLOBALS['TL_LANG']['tl_content']['column_amount']['order'] = 'Reihenfolge';

$GLOBALS['TL_LANG']['tl_content']['column_expert'] = array('Experten Einstellungen');
$GLOBALS['TL_LANG']['tl_content']['column_amount']['cssClass'] = 'CSS-Klassen';
